TeamTalk 5 C-API DLL: DesktopWindow Struct Reference

TeamTalk 5 C-API DLL Version 5.9A

Public Attributes | List of all members
DesktopWindow Struct Reference
Desktop Sharing

A struct containing the properties of a shared desktop window. More...

`#include <TeamTalk.h>`

## Public Attributes

INT32 | nWidth
| The width in pixels of the bitmap. More...
INT32 | nHeight
| The height in pixels of the bitmap. More...
BitmapFormat | bmpFormat
| The format of the bitmap. More...
INT32 | nBytesPerLine
| The number of bytes for each scan-line in the bitmap. Zero means 4-byte aligned. More...
INT32 | nSessionID

The ID of the session which the bitmap belongs to. If the session ID changes it means the user has started a new session. This e.g. happens if the desktop session has been closed and restart or if the bitmap has been resized. Set `nSessionID` to 0 if the desktop window is used with TT_SendDesktopWindow(). More...

DesktopProtocol | nProtocol
| The desktop protocol used for transmitting the desktop window. More...
VOID * | frameBuffer
| A buffer pointing to the bitmap data (often refered to as Scan0). More...
INT32 | nFrameBufferSize
| The size in bytes of the buffer allocate in frameBuffer. Typically `nBytesPerLine` * `nHeight`. More...

## Detailed Description

A struct containing the properties of a shared desktop window.

The desktop window is a description of the bitmap which can be retrieved using TT_AcquireUserDesktopWindow() or the bitmap which should be transmitted using TT_SendDesktopWindow().

Definition at line 969 of file TeamTalk.h.

## Member Data Documentation

## ◆ nWidth

INT32 DesktopWindow::nWidth

The width in pixels of the bitmap.

Definition at line 972 of file TeamTalk.h.

## ◆ nHeight

INT32 DesktopWindow::nHeight

The height in pixels of the bitmap.

Definition at line 974 of file TeamTalk.h.

## ◆ bmpFormat

BitmapFormat DesktopWindow::bmpFormat

The format of the bitmap.

Definition at line 976 of file TeamTalk.h.

## ◆ nBytesPerLine

INT32 DesktopWindow::nBytesPerLine

The number of bytes for each scan-line in the bitmap. Zero means 4-byte aligned.

Definition at line 979 of file TeamTalk.h.

## ◆ nSessionID

INT32 DesktopWindow::nSessionID

The ID of the session which the bitmap belongs to. If the session ID changes it means the user has started a new session. This e.g. happens if the desktop session has been closed and restart or if the bitmap has been resized. Set `nSessionID` to 0 if the desktop window is used with TT_SendDesktopWindow().

Definition at line 986 of file TeamTalk.h.

## ◆ nProtocol

DesktopProtocol DesktopWindow::nProtocol

The desktop protocol used for transmitting the desktop window.

Definition at line 988 of file TeamTalk.h.

## ◆ frameBuffer

VOID* DesktopWindow::frameBuffer

A buffer pointing to the bitmap data (often refered to as Scan0).

Definition at line 990 of file TeamTalk.h.

## ◆ nFrameBufferSize

INT32 DesktopWindow::nFrameBufferSize

The size in bytes of the buffer allocate in frameBuffer. Typically `nBytesPerLine` * `nHeight`.

Definition at line 993 of file TeamTalk.h.